libstdc++: __gnu_cxx::unary_compose< _Operation1, _Operation2 > Class Template Reference

libstdc++

__gnu_cxx::unary_compose< _Operation1, _Operation2 > Class Template Reference
Extensions » SGI

`#include <functional>`

Inheritance diagram for __gnu_cxx::unary_compose< _Operation1, _Operation2 >:
[legend]

## Public Types
typedef _Operation2::argument_type | argument_type
typedef _Operation1::result_type | result_type

## Public Member Functions
| unary_compose (const _Operation1 &__x, const _Operation2 &__y)
_Operation1::result_type | operator() (const typename _Operation2::argument_type &__x) const

## Protected Attributes
_Operation1 | _M_fn1
_Operation2 | _M_fn2

## Detailed Description

template<class _Operation1, class _Operation2>
class __gnu_cxx::unary_compose< _Operation1, _Operation2 >

An SGI extension .

Definition at line 124 of file ext/functional.

## Member Typedef Documentation

## ◆ argument_type

typedef _Operation2::argument_type std::unary_function< _Operation2::argument_type, _Operation1::result_type >::argument_type
| inherited

`argument_type` is the type of the argument

Definition at line 123 of file stl_function.h.

## ◆ result_type

typedef _Operation1::result_type std::unary_function< _Operation2::argument_type, _Operation1::result_type >::result_type
| inherited

`result_type` is the return type

Definition at line 126 of file stl_function.h.

## Constructor & Destructor Documentation

## ◆ unary_compose()

template<class _Operation1, class _Operation2>

__gnu_cxx::unary_compose< _Operation1, _Operation2 >::unary_compose | ( | const _Operation1 & | __x,
|  | const _Operation2 & | __y )
| inline

Definition at line 133 of file ext/functional.

## Member Function Documentation

## ◆ operator()()

template<class _Operation1, class _Operation2>

_Operation1::result_type __gnu_cxx::unary_compose< _Operation1, _Operation2 >::operator() | ( | const typename _Operation2::argument_type & | __x | ) | const
| inline

Definition at line 137 of file ext/functional.

## Member Data Documentation

## ◆ _M_fn1

template<class _Operation1, class _Operation2>

_Operation1 __gnu_cxx::unary_compose< _Operation1, _Operation2 >::_M_fn1
| protected

Definition at line 129 of file ext/functional.

## ◆ _M_fn2

template<class _Operation1, class _Operation2>

_Operation2 __gnu_cxx::unary_compose< _Operation1, _Operation2 >::_M_fn2
| protected

Definition at line 130 of file ext/functional.

The documentation for this class was generated from the following file:

- ext/functional